/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CopyDBClusterSnapshotInput } from "../types/CopyDBClusterSnapshotInput";
import { CopyDBClusterSnapshotOutput } from "../types/CopyDBClusterSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CopyDBClusterSnapshotInput";
export * from "../types/CopyDBClusterSnapshotOutput";
export * from "../types/CopyDBClusterSnapshotExceptionsUnion";
export declare class CopyDBClusterSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, CopyDBClusterSnapshotInput, OutputTypesUnion, CopyDBClusterSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CopyDBClusterSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CopyDBClusterSnapshotInput, CopyDBClusterSnapshotOutput, _stream.Readable>;
    constructor(input: CopyDBClusterSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CopyDBClusterSnapshotInput, CopyDBClusterSnapshotOutput>;
}
