/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CopyDBSnapshotInput } from "../types/CopyDBSnapshotInput";
import { CopyDBSnapshotOutput } from "../types/CopyDBSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CopyDBSnapshotInput";
export * from "../types/CopyDBSnapshotOutput";
export * from "../types/CopyDBSnapshotExceptionsUnion";
export declare class CopyDBSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, CopyDBSnapshotInput, OutputTypesUnion, CopyDBSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CopyDBSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CopyDBSnapshotInput, CopyDBSnapshotOutput, _stream.Readable>;
    constructor(input: CopyDBSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CopyDBSnapshotInput, CopyDBSnapshotOutput>;
}
