/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBClusterParameterGroupInput } from "../types/DeleteDBClusterParameterGroupInput";
import { DeleteDBClusterParameterGroupOutput } from "../types/DeleteDBClusterParameterGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBClusterParameterGroupInput";
export * from "../types/DeleteDBClusterParameterGroupOutput";
export * from "../types/DeleteDBClusterParameterGroupExceptionsUnion";
export declare class DeleteDBClusterParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBClusterParameterGroupInput, OutputTypesUnion, DeleteDBClusterParameterGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBClusterParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBClusterParameterGroupInput, DeleteDBClusterParameterGroupOutput, _stream.Readable>;
    constructor(input: DeleteDBClusterParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBClusterParameterGroupInput, DeleteDBClusterParameterGroupOutput>;
}
