/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteGlobalClusterInput } from "../types/DeleteGlobalClusterInput";
import { DeleteGlobalClusterOutput } from "../types/DeleteGlobalClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteGlobalClusterInput";
export * from "../types/DeleteGlobalClusterOutput";
export * from "../types/DeleteGlobalClusterExceptionsUnion";
export declare class DeleteGlobalClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteGlobalClusterInput, OutputTypesUnion, DeleteGlobalClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteGlobalClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteGlobalClusterInput, DeleteGlobalClusterOutput, _stream.Readable>;
    constructor(input: DeleteGlobalClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteGlobalClusterInput, DeleteGlobalClusterOutput>;
}
