/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteOptionGroupInput } from "../types/DeleteOptionGroupInput";
import { DeleteOptionGroupOutput } from "../types/DeleteOptionGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteOptionGroupInput";
export * from "../types/DeleteOptionGroupOutput";
export * from "../types/DeleteOptionGroupExceptionsUnion";
export declare class DeleteOptionGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteOptionGroupInput, OutputTypesUnion, DeleteOptionGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteOptionGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteOptionGroupInput, DeleteOptionGroupOutput, _stream.Readable>;
    constructor(input: DeleteOptionGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteOptionGroupInput, DeleteOptionGroupOutput>;
}
