/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBClustersInput } from "../types/DescribeDBClustersInput";
import { DescribeDBClustersOutput } from "../types/DescribeDBClustersOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBClustersInput";
export * from "../types/DescribeDBClustersOutput";
export * from "../types/DescribeDBClustersExceptionsUnion";
export declare class DescribeDBClustersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBClustersInput, OutputTypesUnion, DescribeDBClustersOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBClustersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBClustersInput, DescribeDBClustersOutput, _stream.Readable>;
    constructor(input: DescribeDBClustersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBClustersInput, DescribeDBClustersOutput>;
}
