/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBSubnetGroupsInput } from "../types/DescribeDBSubnetGroupsInput";
import { DescribeDBSubnetGroupsOutput } from "../types/DescribeDBSubnetGroupsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBSubnetGroupsInput";
export * from "../types/DescribeDBSubnetGroupsOutput";
export * from "../types/DescribeDBSubnetGroupsExceptionsUnion";
export declare class DescribeDBSubnetGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBSubnetGroupsInput, OutputTypesUnion, DescribeDBSubnetGroupsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBSubnetGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBSubnetGroupsInput, DescribeDBSubnetGroupsOutput, _stream.Readable>;
    constructor(input: DescribeDBSubnetGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBSubnetGroupsInput, DescribeDBSubnetGroupsOutput>;
}
