/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyDBSubnetGroupInput } from "../types/ModifyDBSubnetGroupInput";
import { ModifyDBSubnetGroupOutput } from "../types/ModifyDBSubnetGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyDBSubnetGroupInput";
export * from "../types/ModifyDBSubnetGroupOutput";
export * from "../types/ModifyDBSubnetGroupExceptionsUnion";
export declare class ModifyDBSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyDBSubnetGroupInput, OutputTypesUnion, ModifyDBSubnetGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyDBSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyDBSubnetGroupInput, ModifyDBSubnetGroupOutput, _stream.Readable>;
    constructor(input: ModifyDBSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyDBSubnetGroupInput, ModifyDBSubnetGroupOutput>;
}
