/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyOptionGroupInput } from "../types/ModifyOptionGroupInput";
import { ModifyOptionGroupOutput } from "../types/ModifyOptionGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyOptionGroupInput";
export * from "../types/ModifyOptionGroupOutput";
export * from "../types/ModifyOptionGroupExceptionsUnion";
export declare class ModifyOptionGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyOptionGroupInput, OutputTypesUnion, ModifyOptionGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyOptionGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyOptionGroupInput, ModifyOptionGroupOutput, _stream.Readable>;
    constructor(input: ModifyOptionGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyOptionGroupInput, ModifyOptionGroupOutput>;
}
