/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreDBClusterFromSnapshotInput } from "../types/RestoreDBClusterFromSnapshotInput";
import { RestoreDBClusterFromSnapshotOutput } from "../types/RestoreDBClusterFromSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RestoreDBClusterFromSnapshotInput";
export * from "../types/RestoreDBClusterFromSnapshotOutput";
export * from "../types/RestoreDBClusterFromSnapshotExceptionsUnion";
export declare class RestoreDBClusterFromSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreDBClusterFromSnapshotInput, OutputTypesUnion, RestoreDBClusterFromSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RestoreDBClusterFromSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreDBClusterFromSnapshotInput, RestoreDBClusterFromSnapshotOutput, _stream.Readable>;
    constructor(input: RestoreDBClusterFromSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RestoreDBClusterFromSnapshotInput, RestoreDBClusterFromSnapshotOutput>;
}
