/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopActivityStreamInput } from "../types/StopActivityStreamInput";
import { StopActivityStreamOutput } from "../types/StopActivityStreamOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/StopActivityStreamInput";
export * from "../types/StopActivityStreamOutput";
export * from "../types/StopActivityStreamExceptionsUnion";
export declare class StopActivityStreamCommand implements __aws_sdk_types.Command<InputTypesUnion, StopActivityStreamInput, OutputTypesUnion, StopActivityStreamOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: StopActivityStreamInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopActivityStreamInput, StopActivityStreamOutput, _stream.Readable>;
    constructor(input: StopActivityStreamInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<StopActivityStreamInput, StopActivityStreamOutput>;
}
