"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBParameterGroupInput_1 = require("../shapes/CreateDBParameterGroupInput");
const CreateDBParameterGroupOutput_1 = require("../shapes/CreateDBParameterGroupOutput");
const DBParameterGroupQuotaExceededFault_1 = require("../shapes/DBParameterGroupQuotaExceededFault");
const DBParameterGroupAlreadyExistsFault_1 = require("../shapes/DBParameterGroupAlreadyExistsFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBParameterGroupInput_1.CreateDBParameterGroupInput
    },
    output: {
        shape: CreateDBParameterGroupOutput_1.CreateDBParameterGroupOutput,
        resultWrapper: "CreateDBParameterGroupResult"
    },
    errors: [
        {
            shape: DBParameterGroupQuotaExceededFault_1.DBParameterGroupQuotaExceededFault
        },
        {
            shape: DBParameterGroupAlreadyExistsFault_1.DBParameterGroupAlreadyExistsFault
        }
    ]
};
//# sourceMappingURL=CreateDBParameterGroup.js.map