"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBClusterSnapshotInput_1 = require("../shapes/DeleteDBClusterSnapshotInput");
const DeleteDBClusterSnapshotOutput_1 = require("../shapes/DeleteDBClusterSnapshotOutput");
const InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
const DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBClusterSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBClusterSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBClusterSnapshotInput_1.DeleteDBClusterSnapshotInput
    },
    output: {
        shape: DeleteDBClusterSnapshotOutput_1.DeleteDBClusterSnapshotOutput,
        resultWrapper: "DeleteDBClusterSnapshotResult"
    },
    errors: [
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBClusterSnapshot.js.map