"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyDBClusterParameterGroupInput_1 = require("../shapes/ModifyDBClusterParameterGroupInput");
const ModifyDBClusterParameterGroupOutput_1 = require("../shapes/ModifyDBClusterParameterGroupOutput");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const InvalidDBParameterGroupStateFault_1 = require("../shapes/InvalidDBParameterGroupStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBClusterParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBClusterParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBClusterParameterGroupInput_1.ModifyDBClusterParameterGroupInput
    },
    output: {
        shape: ModifyDBClusterParameterGroupOutput_1.ModifyDBClusterParameterGroupOutput,
        resultWrapper: "ModifyDBClusterParameterGroupResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: InvalidDBParameterGroupStateFault_1.InvalidDBParameterGroupStateFault
        }
    ]
};
//# sourceMappingURL=ModifyDBClusterParameterGroup.js.map