"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ResetDBParameterGroupInput_1 = require("../shapes/ResetDBParameterGroupInput");
const ResetDBParameterGroupOutput_1 = require("../shapes/ResetDBParameterGroupOutput");
const InvalidDBParameterGroupStateFault_1 = require("../shapes/InvalidDBParameterGroupStateFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ResetDBParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ResetDBParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ResetDBParameterGroupInput_1.ResetDBParameterGroupInput
    },
    output: {
        shape: ResetDBParameterGroupOutput_1.ResetDBParameterGroupOutput,
        resultWrapper: "ResetDBParameterGroupResult"
    },
    errors: [
        {
            shape: InvalidDBParameterGroupStateFault_1.InvalidDBParameterGroupStateFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=ResetDBParameterGroup.js.map