"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBParametersInput = {
    type: "structure",
    required: ["DBParameterGroupName"],
    members: {
        DBParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        Source: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBParametersInput.js.map