"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBSnapshotsInput = {
    type: "structure",
    required: [],
    members: {
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        SnapshotType: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        },
        IncludeShared: {
            shape: {
                type: "boolean"
            }
        },
        IncludePublic: {
            shape: {
                type: "boolean"
            }
        },
        DbiResourceId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBSnapshotsInput.js.map