"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AvailabilityZones_1 = require("./_AvailabilityZones");
exports._DBClusterSnapshot = {
    type: "structure",
    required: [],
    members: {
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        DBClusterSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        SnapshotCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        VpcId: {
            shape: {
                type: "string"
            }
        },
        ClusterCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        MasterUsername: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        LicenseModel: {
            shape: {
                type: "string"
            }
        },
        SnapshotType: {
            shape: {
                type: "string"
            }
        },
        PercentProgress: {
            shape: {
                type: "integer"
            }
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        DBClusterSnapshotArn: {
            shape: {
                type: "string"
            }
        },
        SourceDBClusterSnapshotArn: {
            shape: {
                type: "string"
            }
        },
        IAMDatabaseAuthenticationEnabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_DBClusterSnapshot.js.map