"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _OptionSettingConfigurationList_1 = require("./_OptionSettingConfigurationList");
const _DBSecurityGroupMembershipList_1 = require("./_DBSecurityGroupMembershipList");
const _VpcSecurityGroupMembershipList_1 = require("./_VpcSecurityGroupMembershipList");
exports._Option = {
    type: "structure",
    required: [],
    members: {
        OptionName: {
            shape: {
                type: "string"
            }
        },
        OptionDescription: {
            shape: {
                type: "string"
            }
        },
        Persistent: {
            shape: {
                type: "boolean"
            }
        },
        Permanent: {
            shape: {
                type: "boolean"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        OptionVersion: {
            shape: {
                type: "string"
            }
        },
        OptionSettings: {
            shape: _OptionSettingConfigurationList_1._OptionSettingConfigurationList
        },
        DBSecurityGroupMemberships: {
            shape: _DBSecurityGroupMembershipList_1._DBSecurityGroupMembershipList
        },
        VpcSecurityGroupMemberships: {
            shape: _VpcSecurityGroupMembershipList_1._VpcSecurityGroupMembershipList
        }
    }
};
//# sourceMappingURL=_Option.js.map