"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _OptionsDependedOn_1 = require("./_OptionsDependedOn");
const _OptionsConflictsWith_1 = require("./_OptionsConflictsWith");
const _OptionGroupOptionSettingsList_1 = require("./_OptionGroupOptionSettingsList");
const _OptionGroupOptionVersionsList_1 = require("./_OptionGroupOptionVersionsList");
exports._OptionGroupOption = {
    type: "structure",
    required: [],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        EngineName: {
            shape: {
                type: "string"
            }
        },
        MajorEngineVersion: {
            shape: {
                type: "string"
            }
        },
        MinimumRequiredMinorEngineVersion: {
            shape: {
                type: "string"
            }
        },
        PortRequired: {
            shape: {
                type: "boolean"
            }
        },
        DefaultPort: {
            shape: {
                type: "integer"
            }
        },
        OptionsDependedOn: {
            shape: _OptionsDependedOn_1._OptionsDependedOn
        },
        OptionsConflictsWith: {
            shape: _OptionsConflictsWith_1._OptionsConflictsWith
        },
        Persistent: {
            shape: {
                type: "boolean"
            }
        },
        Permanent: {
            shape: {
                type: "boolean"
            }
        },
        RequiresAutoMinorEngineVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        VpcOnly: {
            shape: {
                type: "boolean"
            }
        },
        SupportsOptionVersionDowngrade: {
            shape: {
                type: "boolean"
            }
        },
        OptionGroupOptionSettings: {
            shape: _OptionGroupOptionSettingsList_1._OptionGroupOptionSettingsList
        },
        OptionGroupOptionVersions: {
            shape: _OptionGroupOptionVersionsList_1._OptionGroupOptionVersionsList
        }
    }
};
//# sourceMappingURL=_OptionGroupOption.js.map