"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _PendingCloudwatchLogsExports_1 = require("./_PendingCloudwatchLogsExports");
const _ProcessorFeatureList_1 = require("./_ProcessorFeatureList");
exports._PendingModifiedValues = {
    type: "structure",
    required: [],
    members: {
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        MasterUserPassword: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        LicenseModel: {
            shape: {
                type: "string"
            }
        },
        Iops: {
            shape: {
                type: "integer"
            }
        },
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        CACertificateIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        PendingCloudwatchLogsExports: {
            shape: _PendingCloudwatchLogsExports_1._PendingCloudwatchLogsExports
        },
        ProcessorFeatures: {
            shape: _ProcessorFeatureList_1._ProcessorFeatureList
        }
    }
};
//# sourceMappingURL=_PendingModifiedValues.js.map