"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RangeList_1 = require("./_RangeList");
const _DoubleRangeList_1 = require("./_DoubleRangeList");
exports._ValidStorageOptions = {
    type: "structure",
    required: [],
    members: {
        StorageType: {
            shape: {
                type: "string"
            }
        },
        StorageSize: {
            shape: _RangeList_1._RangeList
        },
        ProvisionedIops: {
            shape: _RangeList_1._RangeList
        },
        IopsToStorageRatio: {
            shape: _DoubleRangeList_1._DoubleRangeList
        },
        SupportsStorageAutoscaling: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_ValidStorageOptions.js.map