/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBClusterInput } from "../types/CreateDBClusterInput";
import { CreateDBClusterOutput } from "../types/CreateDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBClusterInput";
export * from "../types/CreateDBClusterOutput";
export * from "../types/CreateDBClusterExceptionsUnion";
export declare class CreateDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBClusterInput, OutputTypesUnion, CreateDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBClusterInput, CreateDBClusterOutput, _stream.Readable>;
    constructor(input: CreateDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBClusterInput, CreateDBClusterOutput>;
}
