/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBSnapshotInput } from "../types/DeleteDBSnapshotInput";
import { DeleteDBSnapshotOutput } from "../types/DeleteDBSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBSnapshotInput";
export * from "../types/DeleteDBSnapshotOutput";
export * from "../types/DeleteDBSnapshotExceptionsUnion";
export declare class DeleteDBSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBSnapshotInput, OutputTypesUnion, DeleteDBSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBSnapshotInput, DeleteDBSnapshotOutput, _stream.Readable>;
    constructor(input: DeleteDBSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBSnapshotInput, DeleteDBSnapshotOutput>;
}
