/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteEventSubscriptionInput } from "../types/DeleteEventSubscriptionInput";
import { DeleteEventSubscriptionOutput } from "../types/DeleteEventSubscriptionOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteEventSubscriptionInput";
export * from "../types/DeleteEventSubscriptionOutput";
export * from "../types/DeleteEventSubscriptionExceptionsUnion";
export declare class DeleteEventSubscriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteEventSubscriptionInput, OutputTypesUnion, DeleteEventSubscriptionOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteEventSubscriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteEventSubscriptionInput, DeleteEventSubscriptionOutput, _stream.Readable>;
    constructor(input: DeleteEventSubscriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteEventSubscriptionInput, DeleteEventSubscriptionOutput>;
}
