/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBClusterEndpointsInput } from "../types/DescribeDBClusterEndpointsInput";
import { DescribeDBClusterEndpointsOutput } from "../types/DescribeDBClusterEndpointsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBClusterEndpointsInput";
export * from "../types/DescribeDBClusterEndpointsOutput";
export * from "../types/DescribeDBClusterEndpointsExceptionsUnion";
export declare class DescribeDBClusterEndpointsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBClusterEndpointsInput, OutputTypesUnion, DescribeDBClusterEndpointsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBClusterEndpointsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBClusterEndpointsInput, DescribeDBClusterEndpointsOutput, _stream.Readable>;
    constructor(input: DescribeDBClusterEndpointsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBClusterEndpointsInput, DescribeDBClusterEndpointsOutput>;
}
