/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBEngineVersionsInput } from "../types/DescribeDBEngineVersionsInput";
import { DescribeDBEngineVersionsOutput } from "../types/DescribeDBEngineVersionsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBEngineVersionsInput";
export * from "../types/DescribeDBEngineVersionsOutput";
export * from "../types/DescribeDBEngineVersionsExceptionsUnion";
export declare class DescribeDBEngineVersionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBEngineVersionsInput, OutputTypesUnion, DescribeDBEngineVersionsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBEngineVersionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBEngineVersionsInput, DescribeDBEngineVersionsOutput, _stream.Readable>;
    constructor(input: DescribeDBEngineVersionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBEngineVersionsInput, DescribeDBEngineVersionsOutput>;
}
