/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyDBParameterGroupInput } from "../types/ModifyDBParameterGroupInput";
import { ModifyDBParameterGroupOutput } from "../types/ModifyDBParameterGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyDBParameterGroupInput";
export * from "../types/ModifyDBParameterGroupOutput";
export * from "../types/ModifyDBParameterGroupExceptionsUnion";
export declare class ModifyDBParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyDBParameterGroupInput, OutputTypesUnion, ModifyDBParameterGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyDBParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyDBParameterGroupInput, ModifyDBParameterGroupOutput, _stream.Readable>;
    constructor(input: ModifyDBParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyDBParameterGroupInput, ModifyDBParameterGroupOutput>;
}
