"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateOptionGroupInput_1 = require("../shapes/CreateOptionGroupInput");
const CreateOptionGroupOutput_1 = require("../shapes/CreateOptionGroupOutput");
const OptionGroupAlreadyExistsFault_1 = require("../shapes/OptionGroupAlreadyExistsFault");
const OptionGroupQuotaExceededFault_1 = require("../shapes/OptionGroupQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateOptionGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateOptionGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateOptionGroupInput_1.CreateOptionGroupInput
    },
    output: {
        shape: CreateOptionGroupOutput_1.CreateOptionGroupOutput,
        resultWrapper: "CreateOptionGroupResult"
    },
    errors: [
        {
            shape: OptionGroupAlreadyExistsFault_1.OptionGroupAlreadyExistsFault
        },
        {
            shape: OptionGroupQuotaExceededFault_1.OptionGroupQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=CreateOptionGroup.js.map