"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBClusterParameterGroupsInput_1 = require("../shapes/DescribeDBClusterParameterGroupsInput");
const DescribeDBClusterParameterGroupsOutput_1 = require("../shapes/DescribeDBClusterParameterGroupsOutput");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusterParameterGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusterParameterGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClusterParameterGroupsInput_1.DescribeDBClusterParameterGroupsInput
    },
    output: {
        shape: DescribeDBClusterParameterGroupsOutput_1.DescribeDBClusterParameterGroupsOutput,
        resultWrapper: "DescribeDBClusterParameterGroupsResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusterParameterGroups.js.map