"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeEventsInput_1 = require("../shapes/DescribeEventsInput");
const DescribeEventsOutput_1 = require("../shapes/DescribeEventsOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEvents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventsInput_1.DescribeEventsInput
    },
    output: {
        shape: DescribeEventsOutput_1.DescribeEventsOutput,
        resultWrapper: "DescribeEventsResult"
    },
    errors: []
};
//# sourceMappingURL=DescribeEvents.js.map