"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyDBSnapshotInput_1 = require("../shapes/ModifyDBSnapshotInput");
const ModifyDBSnapshotOutput_1 = require("../shapes/ModifyDBSnapshotOutput");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBSnapshotInput_1.ModifyDBSnapshotInput
    },
    output: {
        shape: ModifyDBSnapshotOutput_1.ModifyDBSnapshotOutput,
        resultWrapper: "ModifyDBSnapshotResult"
    },
    errors: [
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=ModifyDBSnapshot.js.map