"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBClusterBacktracksInput = {
    type: "structure",
    required: ["DBClusterIdentifier"],
    members: {
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        BacktrackIdentifier: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBClusterBacktracksInput.js.map