"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _EventCategoriesList_1 = require("./_EventCategoriesList");
exports._Event = {
    type: "structure",
    required: [],
    members: {
        SourceIdentifier: {
            shape: {
                type: "string"
            }
        },
        SourceType: {
            shape: {
                type: "string"
            }
        },
        Message: {
            shape: {
                type: "string"
            }
        },
        EventCategories: {
            shape: _EventCategoriesList_1._EventCategoriesList
        },
        Date: {
            shape: {
                type: "timestamp"
            }
        },
        SourceArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Event.js.map