"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _DBSecurityGroupNameList_1 = require("./_DBSecurityGroupNameList");
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _OptionSettingsList_1 = require("./_OptionSettingsList");
exports._OptionConfiguration = {
    type: "structure",
    required: ["OptionName"],
    members: {
        OptionName: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        OptionVersion: {
            shape: {
                type: "string"
            }
        },
        DBSecurityGroupMemberships: {
            shape: _DBSecurityGroupNameList_1._DBSecurityGroupNameList
        },
        VpcSecurityGroupMemberships: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        OptionSettings: {
            shape: _OptionSettingsList_1._OptionSettingsList
        }
    }
};
//# sourceMappingURL=_OptionConfiguration.js.map