"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RecurringChargeList_1 = require("./_RecurringChargeList");
exports._ReservedDBInstancesOffering = {
    type: "structure",
    required: [],
    members: {
        ReservedDBInstancesOfferingId: {
            shape: {
                type: "string"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        Duration: {
            shape: {
                type: "integer"
            }
        },
        FixedPrice: {
            shape: {
                type: "float"
            }
        },
        UsagePrice: {
            shape: {
                type: "float"
            }
        },
        CurrencyCode: {
            shape: {
                type: "string"
            }
        },
        ProductDescription: {
            shape: {
                type: "string"
            }
        },
        OfferingType: {
            shape: {
                type: "string"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        RecurringCharges: {
            shape: _RecurringChargeList_1._RecurringChargeList
        }
    }
};
//# sourceMappingURL=_ReservedDBInstancesOffering.js.map